public interface ExampleQueryOrBuilder extends MessageOrBuilderImplements
MessageOrBuilderMethods
getNaturalLanguageQuestion()
public abstract String getNaturalLanguageQuestion()Optional. A natural language question that a user might ask. For example: "How many orders were placed last month?"
string natural_language_question = 1 [(.google.api.field_behavior) = OPTIONAL];
| Returns | |
|---|---|
| Type | Description |
String |
The naturalLanguageQuestion. |
getNaturalLanguageQuestionBytes()
public abstract ByteString getNaturalLanguageQuestionBytes()Optional. A natural language question that a user might ask. For example: "How many orders were placed last month?"
string natural_language_question = 1 [(.google.api.field_behavior) = OPTIONAL];
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for naturalLanguageQuestion. |
getParameters(int index)
public abstract QueryParameter getParameters(int index)Optional. The list of query parameters. Example: The parameterized SQL query "SELECT * FROM my_table WHERE id = @id" can be matched with any value of id.
repeated .google.cloud.geminidataanalytics.v1.QueryParameter parameters = 3 [(.google.api.field_behavior) = OPTIONAL];
| Parameter | |
|---|---|
| Name | Description |
index |
int |
| Returns | |
|---|---|
| Type | Description |
QueryParameter |
|
getParametersCount()
public abstract int getParametersCount()Optional. The list of query parameters. Example: The parameterized SQL query "SELECT * FROM my_table WHERE id = @id" can be matched with any value of id.
repeated .google.cloud.geminidataanalytics.v1.QueryParameter parameters = 3 [(.google.api.field_behavior) = OPTIONAL];
| Returns | |
|---|---|
| Type | Description |
int |
|
getParametersList()
public abstract List<QueryParameter> getParametersList()Optional. The list of query parameters. Example: The parameterized SQL query "SELECT * FROM my_table WHERE id = @id" can be matched with any value of id.
repeated .google.cloud.geminidataanalytics.v1.QueryParameter parameters = 3 [(.google.api.field_behavior) = OPTIONAL];
| Returns | |
|---|---|
| Type | Description |
List<QueryParameter> |
|
getParametersOrBuilder(int index)
public abstract QueryParameterOrBuilder getParametersOrBuilder(int index)Optional. The list of query parameters. Example: The parameterized SQL query "SELECT * FROM my_table WHERE id = @id" can be matched with any value of id.
repeated .google.cloud.geminidataanalytics.v1.QueryParameter parameters = 3 [(.google.api.field_behavior) = OPTIONAL];
| Parameter | |
|---|---|
| Name | Description |
index |
int |
| Returns | |
|---|---|
| Type | Description |
QueryParameterOrBuilder |
|
getParametersOrBuilderList()
public abstract List<? extends QueryParameterOrBuilder> getParametersOrBuilderList()Optional. The list of query parameters. Example: The parameterized SQL query "SELECT * FROM my_table WHERE id = @id" can be matched with any value of id.
repeated .google.cloud.geminidataanalytics.v1.QueryParameter parameters = 3 [(.google.api.field_behavior) = OPTIONAL];
| Returns | |
|---|---|
| Type | Description |
List<? extends com.google.cloud.geminidataanalytics.v1.QueryParameterOrBuilder> |
|
getQueryCase()
public abstract ExampleQuery.QueryCase getQueryCase()| Returns | |
|---|---|
| Type | Description |
ExampleQuery.QueryCase |
|
getSqlQuery()
public abstract String getSqlQuery()Optional. The SQL query that should be generated to answer the natural language question. For example: "SELECT COUNT(*) FROM orders WHERE order_date BETWEEN '2024-01-01' AND '2024-01-31'"
string sql_query = 101 [(.google.api.field_behavior) = OPTIONAL];
| Returns | |
|---|---|
| Type | Description |
String |
The sqlQuery. |
getSqlQueryBytes()
public abstract ByteString getSqlQueryBytes()Optional. The SQL query that should be generated to answer the natural language question. For example: "SELECT COUNT(*) FROM orders WHERE order_date BETWEEN '2024-01-01' AND '2024-01-31'"
string sql_query = 101 [(.google.api.field_behavior) = OPTIONAL];
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for sqlQuery. |
hasSqlQuery()
public abstract boolean hasSqlQuery()Optional. The SQL query that should be generated to answer the natural language question. For example: "SELECT COUNT(*) FROM orders WHERE order_date BETWEEN '2024-01-01' AND '2024-01-31'"
string sql_query = 101 [(.google.api.field_behavior) = OPTIONAL];
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the sqlQuery field is set. |